apiVersion: v1
kind: Service
metadata:
  name: ${PROJECT_NAME}
  labels:
    app: ${PROJECT_NAME}
spec:
  ports:
  - port: {{CONTAINER_PORT_PLACEHOLDER}} # same as containerPort in deployment.yaml
    nodePort: {{EXTERNAL_PORT_PLACEHOLDER}} # port for external communication ex. 30000
    protocol: TCP
  selector:
    app: ${PROJECT_NAME}
  type: NodePort
